mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_MSVideoConfiguration Struct Reference

`#include <msvideo.h>`

## Data Fields
int | required_bitrate
int | bitrate_limit
MSVideoSize | vsize
float | fps
int | mincpu
void * | extra

## Detailed Description

Structure describing a video configuration to be able to define a video size, a FPS and some other parameters according to the desired bitrate.

## Field Documentation

int _MSVideoConfiguration::required_bitrate

The minimum bitrate required for the video configuration to be used.

int _MSVideoConfiguration::bitrate_limit

The maximum bitrate to use when this video configuration is used.

MSVideoSize _MSVideoConfiguration::vsize

The video size that is used when using this video configuration.

float _MSVideoConfiguration::fps

The FPS that is used when using this video configuration.

int _MSVideoConfiguration::mincpu

The minimum cpu count necessary when this configuration is used

void* _MSVideoConfiguration::extra

A pointer to some extra parameters that may be used by the encoder when using this video configuration.

The documentation for this struct was generated from the following file:

- msvideo.h